## freenet.support.CPUInformation
Interface VIACPUInfo

All Superinterfaces:
  CPUInfo

All Known Implementing Classes:
  VIAInfoImpl

    public interface VIACPUInfo

extends CPUInfo

Moved out of CPUID.java

Since:
  0.8.7

Method Summary
`boolean` `IsC3Compatible()`
`boolean` `IsNanoCompatible()`

Methods inherited from interface freenet.support.CPUInformation.CPUInfo
`getCPUModelString, getVendor, hasMMX, hasSSE, hasSSE2, hasSSE3, hasSSE41, hasSSE42, hasSSE4A`

Method Detail

### IsC3Compatible

    boolean IsC3Compatible()

  Returns:
    true if the CPU present in the machine is at least an 'c3' CPU

### IsNanoCompatible

    boolean IsNanoCompatible()

  Returns:
    true if the CPU present in the machine is at least an 'nano' CPU